Debian Bug report logs - #572442
sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Josip Rodin <joy@debbugs.entuzijast.net>

Date: Thu, 4 Mar 2010 09:21:02 UTC

Severity: serious

Tags: pending, upstream

Found in version 2.6.32-5

Fixed in version linux-2.6/2.6.32-10

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572442; Package linux-2.6. (Thu, 04 Mar 2010 09:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@debbugs.entuzijast.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 09:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@debbugs.entuzijast.net>
To: submit@bugs.debian.org
Subject: sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc
Date: Thu, 4 Mar 2010 10:19:19 +0100
Package: linux-2.6
Severity: serious
Tags: upstream patch

Hi there,

Ever since kernel 2.6.29 came out, several classes of sparc machines have
been unable to upgrade, because they would get stuck while initializing
the new NMI watchdog code.

The process of trying to figure it out is mostly documented in this
long-running mailing list thread that spanned many months:
http://lists.debian.org/debian-sparc/2009/08/msg00005.html
http://lists.debian.org/debian-sparc/2009/09/msg00018.html
http://lists.debian.org/debian-sparc/2009/10/msg00015.html
http://lists.debian.org/debian-sparc/2009/11/msg00034.html
http://lists.debian.org/debian-sparc/2009/12/msg00000.html

Had this gone unattended, sparc release requalification might have been in
trouble, because the bug affects the Fire V240 sparc buildd machines as well
as Jurij Smakov's test machine, and that's a lot in our little universe :)

Fortunately David Miller came to the rescue and personally debugged the
problem on one of the buildds, and fixed the problem. His solution, that
we are currently running on schroeder.debian.org, is attached.

Please include the patch in the sparc kernel package so that we can test
it widely, preferably ASAP. TIA.

----- Forwarded message from David Miller <davem@davemloft.net> -----

Date: Wed, 03 Mar 2010 09:11:41 -0800 (PST)
Subject: Re: Sparc release requalification


Ok, I think I fixed it.

Attached are two versions of the fix, the first attachment is
for 2.6.33 and the second one is for any kernel 2.6.32 and
previous.

Give it a good test on any machine you've seen this problem on
and let me know how it goes.

Thanks.

>From 8a4fd1e4922413cfdfa6c51a59efb720d904a5eb Mon Sep 17 00:00:00 2001
From: David S. Miller <davem@davemloft.net>
Date: Wed, 3 Mar 2010 09:06:03 -0800
Subject: [PATCH] sparc64: Make prom entry spinlock NMI safe.

If we do something like try to print to the OF console from an NMI
while we're already in OpenFirmware, we'll deadlock on the spinlock.

Use a raw spinlock and disable NMIs when we take it.

Signed-off-by: David S. Miller <davem@davemloft.net>
---
 arch/sparc/prom/p1275.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/arch/sparc/prom/p1275.c b/arch/sparc/prom/p1275.c
index 4b7c937..2d8b70d 100644
--- a/arch/sparc/prom/p1275.c
+++ b/arch/sparc/prom/p1275.c
@@ -32,10 +32,9 @@ extern void prom_cif_interface(void);
 extern void prom_cif_callback(void);
 
 /*
- * This provides SMP safety on the p1275buf. prom_callback() drops this lock
- * to allow recursuve acquisition.
+ * This provides SMP safety on the p1275buf.
  */
-DEFINE_SPINLOCK(prom_entry_lock);
+DEFINE_RAW_SPINLOCK(prom_entry_lock);
 
 long p1275_cmd(const char *service, long fmt, ...)
 {
@@ -47,7 +46,9 @@ long p1275_cmd(const char *service, long fmt, ...)
 	
 	p = p1275buf.prom_buffer;
 
-	spin_lock_irqsave(&prom_entry_lock, flags);
+	raw_local_save_flags(flags);
+	raw_local_irq_restore(PIL_NMI);
+	raw_spin_lock(&prom_entry_lock);
 
 	p1275buf.prom_args[0] = (unsigned long)p;		/* service */
 	strcpy (p, service);
@@ -139,7 +140,8 @@ long p1275_cmd(const char *service, long fmt, ...)
 	va_end(list);
 	x = p1275buf.prom_args [nargs + 3];
 
-	spin_unlock_irqrestore(&prom_entry_lock, flags);
+	raw_spin_unlock(&prom_entry_lock);
+	raw_local_irq_restore(flags);
 
 	return x;
 }
-- 
1.6.6.1


sparc64: Make prom entry spinlock NMI safe.

If we do something like try to print to the OF console from an NMI
while we're already in OpenFirmware, we'll deadlock on the spinlock.

Disable NMIs when we take it.

Signed-off-by: David S. Miller <davem@davemloft.net>

diff --git a/arch/sparc/prom/p1275.c b/arch/sparc/prom/p1275.c
index 4b7c937..815cab6 100644
--- a/arch/sparc/prom/p1275.c
+++ b/arch/sparc/prom/p1275.c
@@ -32,8 +32,7 @@ extern void prom_cif_interface(void);
 extern void prom_cif_callback(void);
 
 /*
- * This provides SMP safety on the p1275buf. prom_callback() drops this lock
- * to allow recursuve acquisition.
+ * This provides SMP safety on the p1275buf.
  */
 DEFINE_SPINLOCK(prom_entry_lock);
 
@@ -47,7 +46,9 @@ long p1275_cmd(const char *service, long fmt, ...)
 	
 	p = p1275buf.prom_buffer;
 
-	spin_lock_irqsave(&prom_entry_lock, flags);
+	raw_local_save_flags(flags);
+	raw_local_irq_restore(PIL_NMI);
+	spin_lock(&prom_entry_lock);
 
 	p1275buf.prom_args[0] = (unsigned long)p;		/* service */
 	strcpy (p, service);
@@ -139,7 +140,8 @@ long p1275_cmd(const char *service, long fmt, ...)
 	va_end(list);
 	x = p1275buf.prom_args [nargs + 3];
 
-	spin_unlock_irqrestore(&prom_entry_lock, flags);
+	spin_unlock(&prom_entry_lock);
+	raw_local_irq_restore(flags);
 
 	return x;
 }


----- End forwarded message -----

-- 
     2. That which causes joy or happiness.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572442; Package linux-2.6. (Thu, 04 Mar 2010 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 15:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 572442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Josip Rodin <joy@debbugs.entuzijast.net>, 572442@bugs.debian.org
Cc: David Miller <davem@davemloft.net>
Subject: Re: Bug#572442: sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc
Date: Thu, 04 Mar 2010 14:59:20 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-03-04 at 10:19 +0100, Josip Rodin wrote:
[...]
> Fortunately David Miller came to the rescue and personally debugged the
> problem on one of the buildds, and fixed the problem. His solution, that
> we are currently running on schroeder.debian.org, is attached.
> 
> Please include the patch in the sparc kernel package so that we can test
> it widely, preferably ASAP. TIA.

This is not applicable to 2.6.32 as the spinlock API has changed.  I
assume David will send a suitable patch to stable shortly, and we'll use
that.

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 04 Mar 2010 15:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572442; Package linux-2.6. (Thu, 04 Mar 2010 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 15:15:06 GMT) Full text and rfc822 format available.

Message #17 received at 572442@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ben Hutchings <ben@decadent.org.uk>, 572442@bugs.debian.org
Cc: Josip Rodin <joy@debbugs.entuzijast.net>, David Miller <davem@davemloft.net>
Subject: Re: Bug#572442: sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc
Date: Thu, 4 Mar 2010 15:12:34 +0000
* Ben Hutchings <ben@decadent.org.uk> [2010-03-04 14:59]:
> > Please include the patch in the sparc kernel package so that we can test
> > it widely, preferably ASAP. TIA.
> 
> This is not applicable to 2.6.32 as the spinlock API has changed.  I
> assume David will send a suitable patch to stable shortly, and we'll use
> that.

David's message said, "Attached are two versions of the fix, the first
attachment is for 2.6.33 and the second one is for any kernel 2.6.32
and previous" and there were indeed two patches.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572442; Package linux-2.6. (Thu, 04 Mar 2010 15:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Miller <davem@davemloft.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 15:21:07 GMT) Full text and rfc822 format available.

Message #22 received at 572442@bugs.debian.org (full text, mbox):

From: David Miller <davem@davemloft.net>
To: ben@decadent.org.uk
Cc: joy@debbugs.entuzijast.net, 572442@bugs.debian.org
Subject: Re: Bug#572442: sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc
Date: Thu, 04 Mar 2010 07:13:03 -0800 (PST)
From: Ben Hutchings <ben@decadent.org.uk>
Date: Thu, 04 Mar 2010 14:59:20 +0000

> On Thu, 2010-03-04 at 10:19 +0100, Josip Rodin wrote:
> [...]
>> Fortunately David Miller came to the rescue and personally debugged the
>> problem on one of the buildds, and fixed the problem. His solution, that
>> we are currently running on schroeder.debian.org, is attached.
>> 
>> Please include the patch in the sparc kernel package so that we can test
>> it widely, preferably ASAP. TIA.
> 
> This is not applicable to 2.6.32 as the spinlock API has changed.  I
> assume David will send a suitable patch to stable shortly, and we'll use
> that.

Read the my damn posting Ben!

There are two patches, first one is for 2.6.33 and the second one is
for 2.6.32 and beforehand.




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 04 Mar 2010 18:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#572442; Package linux-2.6. (Thu, 04 Mar 2010 20:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 20:12:07 GMT) Full text and rfc822 format available.

Message #29 received at 572442@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: David Miller <davem@davemloft.net>, 572442@bugs.debian.org
Cc: joy@debbugs.entuzijast.net
Subject: Re: Bug#572442: sparc 2.6.29+ NMI watchdog deadlock on Sun Fire V240 etc
Date: Thu, 4 Mar 2010 20:09:08 +0000
On Thu, Mar 04, 2010 at 07:13:03AM -0800, David Miller wrote:
> From: Ben Hutchings <ben@decadent.org.uk>
> Date: Thu, 04 Mar 2010 14:59:20 +0000
> 
> > On Thu, 2010-03-04 at 10:19 +0100, Josip Rodin wrote:
> > [...]
> >> Fortunately David Miller came to the rescue and personally debugged the
> >> problem on one of the buildds, and fixed the problem. His solution, that
> >> we are currently running on schroeder.debian.org, is attached.
> >> 
> >> Please include the patch in the sparc kernel package so that we can test
> >> it widely, preferably ASAP. TIA.
> > 
> > This is not applicable to 2.6.32 as the spinlock API has changed.  I
> > assume David will send a suitable patch to stable shortly, and we'll use
> > that.
> 
> Read the my damn posting Ben!
> 
> There are two patches, first one is for 2.6.33 and the second one is
> for 2.6.32 and beforehand.
 
I'm sorry, I read Josip's introduction referring to 'the patch' and skipped
straight to the first patch without reading your introduction.  I'll apply
the second patch.

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Thu, 04 Mar 2010 23:15:03 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze and sid. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 05 Mar 2010 03:03:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-5. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 05 Mar 2010 03:03:04 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Wed, 17 Mar 2010 16:13:14 GMT) Full text and rfc822 format available.

Notification sent to Josip Rodin <joy@debbugs.entuzijast.net>:
Bug acknowledged by developer. (Wed, 17 Mar 2010 16:13:14 GMT) Full text and rfc822 format available.

Message #40 received at 572442-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 572442-close@bugs.debian.org
Subject: Bug#572442: fixed in linux-2.6 2.6.32-10
Date: Wed, 17 Mar 2010 16:10:18 +0000
Source: linux-2.6
Source-Version: 2.6.32-10

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-10_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-10_all.deb
linux-2.6_2.6.32-10.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-10.diff.gz
linux-2.6_2.6.32-10.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-10.dsc
linux-base_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-10_all.deb
linux-doc-2.6.32_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-10_all.deb
linux-headers-2.6.32-4-all-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-all-amd64_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-all_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-all_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-amd64_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-common-openvz_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-common-openvz_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-common-vserver_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-common-vserver_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-common-xen_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-common-xen_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-common_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-common_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
linux-headers-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
linux-image-2.6.32-4-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-4-amd64_2.6.32-10_amd64.deb
linux-image-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
linux-image-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
linux-image-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
linux-libc-dev_2.6.32-10_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-10_amd64.deb
linux-manual-2.6.32_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-10_all.deb
linux-patch-debian-2.6.32_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-10_all.deb
linux-source-2.6.32_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-10_all.deb
linux-support-2.6.32-4_2.6.32-10_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-4_2.6.32-10_all.deb
xen-linux-system-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572442@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 23:39:05 +0100
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-4 linux-base linux-libc-dev linux-headers-2.6.32-4-all linux-headers-2.6.32-4-all-alpha linux-headers-2.6.32-4-common linux-image-2.6.32-4-alpha-generic linux-headers-2.6.32-4-alpha-generic linux-image-2.6.32-4-alpha-smp linux-headers-2.6.32-4-alpha-smp linux-image-2.6.32-4-alpha-legacy linux-headers-2.6.32-4-alpha-legacy linux-headers-2.6.32-4-all-amd64 linux-image-2.6.32-4-amd64 linux-headers-2.6.32-4-amd64 linux-headers-2.6.32-4-common-openvz linux-image-2.6.32-4-openvz-amd64 linux-headers-2.6.32-4-openvz-amd64 linux-headers-2.6.32-4-common-vserver linux-image-2.6.32-4-vserver-amd64 linux-headers-2.6.32-4-vserver-amd64 linux-headers-2.6.32-4-common-xen linux-image-2.6.32-4-xen-amd64 linux-headers-2.6.32-4-xen-amd64 xen-linux-system-2.6.32-4-xen-amd64 linux-headers-2.6.32-4-all-armel linux-image-2.6.32-4-iop32x linux-headers-2.6.32-4-iop32x linux-image-2.6.32-4-ixp4xx
 linux-headers-2.6.32-4-ixp4xx linux-image-2.6.32-4-kirkwood linux-headers-2.6.32-4-kirkwood linux-image-2.6.32-4-orion5x linux-headers-2.6.32-4-orion5x linux-image-2.6.32-4-versatile linux-headers-2.6.32-4-versatile linux-headers-2.6.32-4-all-hppa linux-image-2.6.32-4-parisc linux-headers-2.6.32-4-parisc linux-image-2.6.32-4-parisc-smp linux-headers-2.6.32-4-parisc-smp linux-image-2.6.32-4-parisc64 linux-headers-2.6.32-4-parisc64 linux-image-2.6.32-4-parisc64-smp linux-headers-2.6.32-4-parisc64-smp linux-headers-2.6.32-4-all-i386 linux-image-2.6.32-4-486 linux-headers-2.6.32-4-486 linux-image-2.6.32-4-686 linux-headers-2.6.32-4-686 linux-image-2.6.32-4-686-bigmem linux-headers-2.6.32-4-686-bigmem linux-image-2.6.32-4-openvz-686 linux-headers-2.6.32-4-openvz-686 linux-image-2.6.32-4-vserver-686 linux-headers-2.6.32-4-vserver-686 linux-image-2.6.32-4-vserver-686-bigmem linux-headers-2.6.32-4-vserver-686-bigmem linux-image-2.6.32-4-xen-686 linux-headers-2.6.32-4-xen-686
 xen-linux-system-2.6.32-4-xen-686 linux-headers-2.6.32-4-all-ia64 linux-image-2.6.32-4-itanium linux-headers-2.6.32-4-itanium linux-image-2.6.32-4-mckinley linux-headers-2.6.32-4-mckinley linux-image-2.6.32-4-vserver-itanium linux-headers-2.6.32-4-vserver-itanium linux-image-2.6.32-4-vserver-mckinley linux-headers-2.6.32-4-vserver-mckinley linux-headers-2.6.32-4-all-m68k linux-image-2.6.32-4-amiga linux-headers-2.6.32-4-amiga linux-image-2.6.32-4-atari linux-headers-2.6.32-4-atari linux-image-2.6.32-4-bvme6000 linux-headers-2.6.32-4-bvme6000 linux-image-2.6.32-4-mac linux-headers-2.6.32-4-mac linux-image-2.6.32-4-mvme147 linux-headers-2.6.32-4-mvme147 linux-image-2.6.32-4-mvme16x linux-headers-2.6.32-4-mvme16x linux-headers-2.6.32-4-all-mips linux-image-2.6.32-4-r4k-ip22 linux-headers-2.6.32-4-r4k-ip22 linux-image-2.6.32-4-r5k-ip32 linux-headers-2.6.32-4-r5k-ip32 linux-image-2.6.32-4-sb1-bcm91250a linux-headers-2.6.32-4-sb1-bcm91250a linux-image-2.6.32-4-sb1a-bcm91480b
 linux-headers-2.6.32-4-sb1a-bcm91480b linux-image-2.6.32-4-4kc-malta linux-headers-2.6.32-4-4kc-malta linux-image-2.6.32-4-5kc-malta linux-headers-2.6.32-4-5kc-malta linux-headers-2.6.32-4-all-mipsel linux-image-2.6.32-4-r5k-cobalt linux-headers-2.6.32-4-r5k-cobalt linux-headers-2.6.32-4-all-powerpc linux-image-2.6.32-4-powerpc linux-headers-2.6.32-4-powerpc linux-image-2.6.32-4-powerpc-smp linux-headers-2.6.32-4-powerpc-smp linux-image-2.6.32-4-powerpc64 linux-headers-2.6.32-4-powerpc64 linux-image-2.6.32-4-vserver-powerpc linux-headers-2.6.32-4-vserver-powerpc linux-image-2.6.32-4-vserver-powerpc64 linux-headers-2.6.32-4-vserver-powerpc64 linux-headers-2.6.32-4-all-s390 linux-image-2.6.32-4-s390x linux-headers-2.6.32-4-s390x linux-image-2.6.32-4-s390x-tape linux-image-2.6.32-4-vserver-s390x linux-headers-2.6.32-4-vserver-s390x linux-headers-2.6.32-4-all-sparc linux-image-2.6.32-4-sparc64 linux-headers-2.6.32-4-sparc64 linux-image-2.6.32-4-sparc64-smp linux-headers-2.6.32-4-sparc64-smp
 linux-image-2.6.32-4-vserver-sparc64 linux-headers-2.6.32-4-vserver-sparc64 linux-headers-2.6.32-4-all-sparc64
Architecture: source all amd64
Version: 2.6.32-10
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-4-486 - Header files for Linux 2.6.32-4-486
 linux-headers-2.6.32-4-4kc-malta - Header files for Linux 2.6.32-4-4kc-malta
 linux-headers-2.6.32-4-5kc-malta - Header files for Linux 2.6.32-4-5kc-malta
 linux-headers-2.6.32-4-686 - Header files for Linux 2.6.32-4-686
 linux-headers-2.6.32-4-686-bigmem - Header files for Linux 2.6.32-4-686-bigmem
 linux-headers-2.6.32-4-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-4-alpha-generic - Header files for Linux 2.6.32-4-alpha-generic
 linux-headers-2.6.32-4-alpha-legacy - Header files for Linux 2.6.32-4-alpha-legacy
 linux-headers-2.6.32-4-alpha-smp - Header files for Linux 2.6.32-4-alpha-smp
 linux-headers-2.6.32-4-amd64 - Header files for Linux 2.6.32-4-amd64
 linux-headers-2.6.32-4-amiga - Header files for Linux 2.6.32-4-amiga
 linux-headers-2.6.32-4-atari - Header files for Linux 2.6.32-4-atari
 linux-headers-2.6.32-4-bvme6000 - Header files for Linux 2.6.32-4-bvme6000
 linux-headers-2.6.32-4-common - Common header files for Linux 2.6.32-4
 linux-headers-2.6.32-4-common-openvz - Common header files for Linux 2.6.32-4-openvz
 linux-headers-2.6.32-4-common-vserver - Common header files for Linux 2.6.32-4-vserver
 linux-headers-2.6.32-4-common-xen - Common header files for Linux 2.6.32-4-xen
 linux-headers-2.6.32-4-iop32x - Header files for Linux 2.6.32-4-iop32x
 linux-headers-2.6.32-4-itanium - Header files for Linux 2.6.32-4-itanium
 linux-headers-2.6.32-4-ixp4xx - Header files for Linux 2.6.32-4-ixp4xx
 linux-headers-2.6.32-4-kirkwood - Header files for Linux 2.6.32-4-kirkwood
 linux-headers-2.6.32-4-mac - Header files for Linux 2.6.32-4-mac
 linux-headers-2.6.32-4-mckinley - Header files for Linux 2.6.32-4-mckinley
 linux-headers-2.6.32-4-mvme147 - Header files for Linux 2.6.32-4-mvme147
 linux-headers-2.6.32-4-mvme16x - Header files for Linux 2.6.32-4-mvme16x
 linux-headers-2.6.32-4-openvz-686 - Header files for Linux 2.6.32-4-openvz-686
 linux-headers-2.6.32-4-openvz-amd64 - Header files for Linux 2.6.32-4-openvz-amd64
 linux-headers-2.6.32-4-orion5x - Header files for Linux 2.6.32-4-orion5x
 linux-headers-2.6.32-4-parisc - Header files for Linux 2.6.32-4-parisc
 linux-headers-2.6.32-4-parisc-smp - Header files for Linux 2.6.32-4-parisc-smp
 linux-headers-2.6.32-4-parisc64 - Header files for Linux 2.6.32-4-parisc64
 linux-headers-2.6.32-4-parisc64-smp - Header files for Linux 2.6.32-4-parisc64-smp
 linux-headers-2.6.32-4-powerpc - Header files for Linux 2.6.32-4-powerpc
 linux-headers-2.6.32-4-powerpc-smp - Header files for Linux 2.6.32-4-powerpc-smp
 linux-headers-2.6.32-4-powerpc64 - Header files for Linux 2.6.32-4-powerpc64
 linux-headers-2.6.32-4-r4k-ip22 - Header files for Linux 2.6.32-4-r4k-ip22
 linux-headers-2.6.32-4-r5k-cobalt - Header files for Linux 2.6.32-4-r5k-cobalt
 linux-headers-2.6.32-4-r5k-ip32 - Header files for Linux 2.6.32-4-r5k-ip32
 linux-headers-2.6.32-4-s390x - Header files for Linux 2.6.32-4-s390x
 linux-headers-2.6.32-4-sb1-bcm91250a - Header files for Linux 2.6.32-4-sb1-bcm91250a
 linux-headers-2.6.32-4-sb1a-bcm91480b - Header files for Linux 2.6.32-4-sb1a-bcm91480b
 linux-headers-2.6.32-4-sparc64 - Header files for Linux 2.6.32-4-sparc64
 linux-headers-2.6.32-4-sparc64-smp - Header files for Linux 2.6.32-4-sparc64-smp
 linux-headers-2.6.32-4-versatile - Header files for Linux 2.6.32-4-versatile
 linux-headers-2.6.32-4-vserver-686 - Header files for Linux 2.6.32-4-vserver-686
 linux-headers-2.6.32-4-vserver-686-bigmem - Header files for Linux 2.6.32-4-vserver-686-bigmem
 linux-headers-2.6.32-4-vserver-amd64 - Header files for Linux 2.6.32-4-vserver-amd64
 linux-headers-2.6.32-4-vserver-itanium - Header files for Linux 2.6.32-4-vserver-itanium
 linux-headers-2.6.32-4-vserver-mckinley - Header files for Linux 2.6.32-4-vserver-mckinley
 linux-headers-2.6.32-4-vserver-powerpc - Header files for Linux 2.6.32-4-vserver-powerpc
 linux-headers-2.6.32-4-vserver-powerpc64 - Header files for Linux 2.6.32-4-vserver-powerpc64
 linux-headers-2.6.32-4-vserver-s390x - Header files for Linux 2.6.32-4-vserver-s390x
 linux-headers-2.6.32-4-vserver-sparc64 - Header files for Linux 2.6.32-4-vserver-sparc64
 linux-headers-2.6.32-4-xen-686 - Header files for Linux 2.6.32-4-xen-686
 linux-headers-2.6.32-4-xen-amd64 - Header files for Linux 2.6.32-4-xen-amd64
 linux-image-2.6.32-4-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-4-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-4-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-4-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-4-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-4-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-4-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-4-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-4-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-4-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-4-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-4-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-4-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-4-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-4-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-4-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-4-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-4-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-4-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-4-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-4-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-4-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-4-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-4-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-4-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-4-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-4-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-4-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-4-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-4-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-4-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-4-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-4-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-4-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-4-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-4-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-4-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-4-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-4-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-4-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-4-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-4-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-4-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-4-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-4-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-4-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-4-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-4-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-4-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-4-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-4-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-4 - Support files for Linux 2.6.32
 xen-linux-system-2.6.32-4-xen-686 - Xen system with Linux 2.6.32 on modern PCs
 xen-linux-system-2.6.32-4-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs
Closes: 400932 444182 499745 503857 504805 505545 506118 507785 509085 509156 509733 511963 513835 514511 516223 516374 516635 517048 519586 520702 522452 524571 524596 526695 533132 533432 534880 534978 541227 542299 542614 543489 544525 548028 548345 549606 550975 551312 551330 554564 554621 559175 559634 560033 565857 567747 569797 572322 572442
Changes: 
 linux-2.6 (2.6.32-10) unstable; urgency=low
 .
   * The "Big Bang" release
 .
   [ maximilian attems]
   * tcp: fix ICMP-RTO war.
   * Add stable 2.6.32.10.
     - net/via-rhine: Fix scheduling while atomic bugs (closes: #549606)
     - HID: remove TENX iBuddy from blacklist (Closes: #551312)
     - USB: SIS USB2VGA DRIVER: support KAIREN's USB VGA adaptor
       USB20SVGA-MB-PLUS (Closes: #565857)
   * Bump ABI to 4.
   * [x86] Add openvz flavour.
     - adds ppp support (closes: #550975)
   * Prevent nouveau from autoloading until xserver-xorg-video-nouveau lands.
 .
   [ Moritz Muehlenhoff ]
   * Enable CONFIG_KEYS_DEBUG_PROC_KEYS (Closes: #400932)
   * Amend README.source with documentation on how to generate a
     source tree with all patches applied (Closes: #509156)
   * Document needed packages for preparatory packaging
     steps (Closes: #548028)
 .
   [ Aurelien Jarno ]
   * Fix signal stack alignement on sparc64 (Closes: #569797)
 .
   [ Bastian Blank ]
   * Add support for Xen dom0 into its featureset.
     (Closes: #499745, #503857, #504805, #505545, #506118, #507785, #509085,
      #509733, #511963, #513835, #514511, #516223, #516374, #516635, #517048,
      #519586, #520702, #522452, #524571, #524596, #526695, #533132, #533432,
      #534880, #534978, #541227, #542299, #542614, #543489, #544525, #548345,
      #554564, #554621, #559175, #559634)
   * [alpha, amd64, i386, amd64, powerpc] Make all AGP driver built-in to
     workaround race-condition between DRM and AGP.
 .
   [ Ben Hutchings ]
   * drm: Apply all changes from 2.6.33 and 2.6.33.1:
     - Add nouveau driver
     - i915: Fix disappearing mouse pointer (Closes: #551330)
     - i915: Restore video overlay support (Closes: #560033)
     - i915: Fix DDC on some systems by clearing BIOS GMBUS (Closes: #567747)
     - radeon: Enable KMS support
   * qla2xxx: Disable MSI/MSI-X on some chips or as selected by module parameter
     (Closes: #572322)
     - MSI is disabled on QLA24xx chips other than QLA2432 (MSI-X already was)
     - MSI-X is disabled if qlx2enablemsix=2
     - MSI and MSI-X are disabled if qlx2enablemsix=0
   * [sparc64] Make prom entry spinlock NMI safe (Closes: #572442)
   * firmware: Correct copyright information and add source for CIS files
   * Fix first line of kernel-doc for a few functions so that they get valid
     manual pages
   * Remove /usr/include/drm from linux-libc-dev; let libdrm-dev provide it
     again
   * [x86] Enable rtl8192su driver using external firmware
   * [x86] Use libata-based drivers for most PATA controllers (Closes: #444182):
     - pata_triflex replaces triflex
     - pata_atiixp replaces atiixp
     - pata_ns87415 replaces ns87415
     - pata_sc1200 replaces sc1200
     - pata_cs5536 replaces cs5536
     - pata_amd replaces amd74xx
     - pata_sis replaces sis5513
     - pata_rz1000 replaces rz1000
     - pata_efar replaces slc90e66
     - pata_pdc202xx_old replaces pdc202xx_old
     - pata_pdc2027x replaces pdc202xx_new
     - pata_cs5520 replaces cs5520
     - pata_cs5530 replaces cs5530
     - pata_cmd64x replaces cmd64x
     - pata_sil680 replaces siimage
     - pata_ali replaces alim15x3
     - pata_via replaces via82cxxx
     - pata_serverworks replaces serverworks
     - pata_artop replaces aec62xx
     - pata_it821x replaces it821x
     - ata_piix, pata_oldpiix, pata_mpiix mostly replace piix
     - ata_generic, pata_ns87410, pata_netcell replace ide-pci-generic
   * linux-base: Add libata transition script
   * Hide sensitive information when including network configuration in bug
     reports and running a different kernel version
 .
   [ Martin Michlmayr ]
   * Add some ARM patches from git:
     - Update mach types
     - eSATA SheevaPlug: basic board support
     - eSATA SheevaPlug: configure SoC SATA interface
     - eSATA SheevaPlug: correlate MPP to SD CD and SD WP
   * [armel/kirkwood] Enable MACH_ESATA_SHEEVAPLUG.
Checksums-Sha1: 
 24ec671345cc944f5f4b9fcea80692966681e113 5808 linux-2.6_2.6.32-10.dsc
 b8e82614df00096cc7cf26c627cc08d154d6790e 2708572 linux-2.6_2.6.32-10.diff.gz
 898f1f16f2bdfdbe1969899b2a633d0c8868cc61 6019316 linux-doc-2.6.32_2.6.32-10_all.deb
 aeedcaf112b8b628018fb05c46d178172b8dfaec 2705910 linux-manual-2.6.32_2.6.32-10_all.deb
 41ad2c0da5407e533700149ae1f5ca543a861977 2186414 linux-patch-debian-2.6.32_2.6.32-10_all.deb
 7a52ccfe171d82d78c4a20975b2df51be13f7d83 64090038 linux-source-2.6.32_2.6.32-10_all.deb
 9c1861bc5df334dd65a43cb8dcad56a001edaa07 139688 linux-support-2.6.32-4_2.6.32-10_all.deb
 b132d09e070c5678455fa794c4a707c9d74fa812 128786 firmware-linux-free_2.6.32-10_all.deb
 49d60d9b40ea8fbd233feed9b63c479b0cd55631 133804 linux-base_2.6.32-10_all.deb
 a8daf9bc83fe78e7f3d0f314acb6c2958fe00d2b 28149536 linux-image-2.6.32-4-amd64_2.6.32-10_amd64.deb
 6ce2b7d2594760929b5e18df04823baa0e15fa84 465052 linux-headers-2.6.32-4-amd64_2.6.32-10_amd64.deb
 88df10542ff663970c8311b9181ae64a9f34abf1 3860840 linux-headers-2.6.32-4-common_2.6.32-10_amd64.deb
 7be542cc8eac6f4c4cee98520352a44f39f0a425 28300926 linux-image-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 3bec0855787c8aba72cf62026f5f2c740710e6dc 470234 linux-headers-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 80b0f80c8eed037765ba8ba278ce25131be820a3 3911450 linux-headers-2.6.32-4-common-openvz_2.6.32-10_amd64.deb
 c24150e75b030b75099f2cff7d90d18b554dcac4 123860 linux-headers-2.6.32-4-all_2.6.32-10_amd64.deb
 c141d07c0a3c7665c1663b7eab6edc31fe7df580 123888 linux-headers-2.6.32-4-all-amd64_2.6.32-10_amd64.deb
 b00fc976ed2a9030f4620945066fad0c497c1929 820316 linux-libc-dev_2.6.32-10_amd64.deb
 324c6ead6d64a262edde439775ef88021ace3baf 28206150 linux-image-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 21d454813bd198c91575cd0443f82208e445ffee 465282 linux-headers-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 2be32e95df0f3f2a052b368b1141a614efa80432 3894148 linux-headers-2.6.32-4-common-vserver_2.6.32-10_amd64.deb
 a856605d5c99b6cec9d1edfb86b6549675787a7c 28225764 linux-image-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 a8db20ce58be9ad5836468c0de7eddedca726d79 467384 linux-headers-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 1aa0eafae81a7ba192e0aa9cb71ad71a62ca1251 123856 xen-linux-system-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 3e5775a7c5649b28ec31bd26b7e35bac27e45b89 3871308 linux-headers-2.6.32-4-common-xen_2.6.32-10_amd64.deb
Checksums-Sha256: 
 a47aee24cfec48225eb8a0f0532068816aa47b170f9e1ce5205b1472451832e9 5808 linux-2.6_2.6.32-10.dsc
 655bba4dd505988843e3fc6dd053efeebb5e2e36ccb74f52df38eb05d5c01c0f 2708572 linux-2.6_2.6.32-10.diff.gz
 19931cc34cd60a54bedbfef77aeb94bd6827ebb68483cf52c53448fc205523fd 6019316 linux-doc-2.6.32_2.6.32-10_all.deb
 f85582fa710c0a92e0c4ded24197fe53884eaa3fc94ccd7c01dd3aa93e951f5e 2705910 linux-manual-2.6.32_2.6.32-10_all.deb
 592fabde7079dadcc4a007421fbc466d29ae58bfce8a0d6a8f077c2e8a90982d 2186414 linux-patch-debian-2.6.32_2.6.32-10_all.deb
 5b58d5d99832d2952486af00d57f338557c830ed68f0d6769eda5917b04616c6 64090038 linux-source-2.6.32_2.6.32-10_all.deb
 a89b64c739cb3f615734ca6e800b554037e9713f3aea6768bcec8a1f3cc907c3 139688 linux-support-2.6.32-4_2.6.32-10_all.deb
 426ce17f3d11ae8460dacaf1f01b2a5bb453ce9aa8be8cfd2f63dd160aa7aec9 128786 firmware-linux-free_2.6.32-10_all.deb
 3b46969b48363990d70ec695a88ab7c18078a1acfa6f9fe41b8fb9b927d8c6d1 133804 linux-base_2.6.32-10_all.deb
 5524c6d06bfaa49cfd7cacc682a4062abb6469c942f9ff3db899b749421c1815 28149536 linux-image-2.6.32-4-amd64_2.6.32-10_amd64.deb
 e84b5556d2477eb4923d6bd7c01c8ad10ed92b0d450e42cece6adda9dc1fa962 465052 linux-headers-2.6.32-4-amd64_2.6.32-10_amd64.deb
 e8d990f43750e169737670257526578c7091682c3624b7e17144a282e40e40c0 3860840 linux-headers-2.6.32-4-common_2.6.32-10_amd64.deb
 9a6b4c3ee2a892ad59ffb0d799d628bb27e81d3e37b322e887df9ea1860fb995 28300926 linux-image-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 77878acfc02679a63486c7f89ef2accb54c74384831d7af2375d568618bd742c 470234 linux-headers-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 90ddf2f8191673992886088c3dee9bb36279400dc50907a1a7d0c200962ef1ac 3911450 linux-headers-2.6.32-4-common-openvz_2.6.32-10_amd64.deb
 3608a5bf53d3dcdb462b897fbcab6b9f197c470248520edac10e10029d76bdf5 123860 linux-headers-2.6.32-4-all_2.6.32-10_amd64.deb
 cef07e4d78a81ff17945e3f2a29c3f253550d33baadc96e26abe8b32b60071bf 123888 linux-headers-2.6.32-4-all-amd64_2.6.32-10_amd64.deb
 893d5eacf2b1d20bb79f03b9863797d5f0a0c643226f1021308294c855f67f68 820316 linux-libc-dev_2.6.32-10_amd64.deb
 ca150a1da434da499fbcc395ef5ba1a2216734a7de81973e0996e34a204f04e9 28206150 linux-image-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 34c9fd2d9f727a30621afd374b176f41f50586f066750d55c5f6153135722fe3 465282 linux-headers-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 2b9ca6dba4b1ccc6a6c69f5bd3eefc86e67375454d5e6aa761eb741d6f84b731 3894148 linux-headers-2.6.32-4-common-vserver_2.6.32-10_amd64.deb
 4de0e2fb67cc4cb4a506462a883f0d02fcd6ca22bc46b75dcf6064485d518f10 28225764 linux-image-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 943b8de20ff19c9a4e1199ea16878dfa7ecf287e172ae2b9a3e854b987e696a1 467384 linux-headers-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 c52e2703d71ebf8ef2c3be2c63c71e870ad1d96219776848d0ad26c05e349acb 123856 xen-linux-system-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 d22b358cadd7d3222a6f5e1008f03f0d969c60065a4e445c37b4ccdc03ecabc2 3871308 linux-headers-2.6.32-4-common-xen_2.6.32-10_amd64.deb
Files: 
 d3b43363385d51074ffb862c1010342b 5808 kernel optional linux-2.6_2.6.32-10.dsc
 479dabfbd193a255df3482e342d64ea5 2708572 kernel optional linux-2.6_2.6.32-10.diff.gz
 133dcefc630319c07a077ab4f97a4ccd 6019316 doc optional linux-doc-2.6.32_2.6.32-10_all.deb
 afdfcf94adc740aed7729f187b166f11 2705910 doc optional linux-manual-2.6.32_2.6.32-10_all.deb
 807911ad3392456d96f94ba050a76966 2186414 kernel optional linux-patch-debian-2.6.32_2.6.32-10_all.deb
 1a64011fd69d0bdb58369f7a3e3e1510 64090038 kernel optional linux-source-2.6.32_2.6.32-10_all.deb
 4e18caf81487059fcb0a1cf6fb4e9898 139688 devel optional linux-support-2.6.32-4_2.6.32-10_all.deb
 488727bc0fbec14dfd8f8963fcb7ad09 128786 kernel optional firmware-linux-free_2.6.32-10_all.deb
 39d04313ab1e36ab0641ef15990ce085 133804 kernel optional linux-base_2.6.32-10_all.deb
 be248a73eb174cdfac885837923ec73d 28149536 kernel optional linux-image-2.6.32-4-amd64_2.6.32-10_amd64.deb
 4cfcd4cd773bdfc6d45635cd05c39472 465052 kernel optional linux-headers-2.6.32-4-amd64_2.6.32-10_amd64.deb
 fb597fc0fa4de56b0208742606b5a7f1 3860840 kernel optional linux-headers-2.6.32-4-common_2.6.32-10_amd64.deb
 496510d51378dd3d2f39313a5ffb5966 28300926 kernel optional linux-image-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 404be47aa09a5280173d1c2de8c1007c 470234 kernel optional linux-headers-2.6.32-4-openvz-amd64_2.6.32-10_amd64.deb
 2b40516ee12927a264f42be802bfce59 3911450 kernel optional linux-headers-2.6.32-4-common-openvz_2.6.32-10_amd64.deb
 c5522cd46f7bed86fa52973cbce2117e 123860 kernel optional linux-headers-2.6.32-4-all_2.6.32-10_amd64.deb
 17cec917a1c3103575dafc83d6e78209 123888 kernel optional linux-headers-2.6.32-4-all-amd64_2.6.32-10_amd64.deb
 2e0eb8679751c11f9ad2c27ee586cc70 820316 devel optional linux-libc-dev_2.6.32-10_amd64.deb
 a9718111aa1e7f24be4acb4b9b3296e7 28206150 kernel optional linux-image-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 a4916e108c8d7aeec91b86b2cbca548b 465282 kernel optional linux-headers-2.6.32-4-vserver-amd64_2.6.32-10_amd64.deb
 fdd478c0bc3cfc738545965f526a045e 3894148 kernel optional linux-headers-2.6.32-4-common-vserver_2.6.32-10_amd64.deb
 d8ff6a287a274703094b61939497c88b 28225764 kernel optional linux-image-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 3f8df152e174d990d3ee13bf841ca1a4 467384 kernel optional linux-headers-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 ae71cf0dda6c27c157355d9af65b8486 123856 kernel optional xen-linux-system-2.6.32-4-xen-amd64_2.6.32-10_amd64.deb
 ef86c859c1fd835e247e546a57e0ef4a 3871308 kernel optional linux-headers-2.6.32-4-common-xen_2.6.32-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkugc+0ACgkQeW7Lc5tEHqhiZACeJkhOzWnaeEh+Xrtub2OuMw2s
7pYAnjmwleFhfMSWzM/6kGLlE8k5qVnp
=S84a
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Tue, 27 Apr 2010 17:54:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jun 2010 07:33:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:46:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.